libzypp 17.38.5

zyppng::ZckLoader::PrepareResult Struct Reference

`#include <zypp-curl/ng/network/zckhelper.h>`

## Public Types
enum | Code { Error , NothingToDo , ExceedsMaxLen , Success }

## Public Attributes
Code | _code
std::vector< Block > | _blocks
zypp::ByteCount | _bytesReused
std::string | _message

## Detailed Description

Definition at line 51 of file zckhelper.h.

## Member Enumeration Documentation

## ◆ Code

enum zyppng::ZckLoader::PrepareResult::Code

Enumerator
Error |
NothingToDo |
ExceedsMaxLen |
Success |

Definition at line 52 of file zckhelper.h.

## Member Data Documentation

## ◆ _code

Code zyppng::ZckLoader::PrepareResult::_code

Definition at line 59 of file zckhelper.h.

## ◆ _blocks

std::vector<Block> zyppng::ZckLoader::PrepareResult::_blocks

Definition at line 60 of file zckhelper.h.

## ◆ _bytesReused

zypp::ByteCount zyppng::ZckLoader::PrepareResult::_bytesReused

Definition at line 61 of file zckhelper.h.

## ◆ _message

std::string zyppng::ZckLoader::PrepareResult::_message

Definition at line 62 of file zckhelper.h.

The documentation for this struct was generated from the following file:

- zypp-curl/ng/network/zckhelper.h